{.pl66}
{.po5}

Program INUSE;                         { Jon Wichman }

  var pass_in,password : string[8];
      comment          : string[80];

const top    =  '#3';
      bottom =  '#4';
      wide   =  '#6';
      esc    =   ^[;
{.cp10}
procedure WriteInuse;
  begin;
    while not KeyPressed do
      begin;
        ClrScr;               {Clear the screen.}
        gotoXY(1,1);
        gotoXY(12,30);
        writeln;
        HighVideo;
        writeln(esc,wide,esc,top,'I N U S E   !!');
        writeln(esc,wide,esc,bottom,'I N U S E   !!');
        if comment <> '' then
        begin;
          writeln;
          writeln(trm,comment);
        end;
        delay(1000);
      end;
  end;
{.cp10}

procedure paswrd;
  begin;
        write('Password: ');
        read(kbd,pass_in);
  end;
{.cp10}

begin
  write('Enter Password (8 Char. Max.): ');
  read(kbd,password);
  writeln;
  write('Comment ? <Optional>: ');
  read(con,comment);
  writeInuse;
  if KeyPressed then
      begin;
        paswrd;
      end;
while pass_in <> password do
   begin;
     WriteInuse;
     paswrd;
   end;
  ClrScr;
end.